btllib: btllib::Indexlr Class Reference

btllib

Loading...
Searching...
No Matches
Classes | Public Types | Public Member Functions | Static Public Attributes | List of all members
btllib::Indexlr Class Reference

## Classes
struct | Flag
struct | Minimizer
struct | Record

## Public Types
using | HashedKmer = Minimizer

## Public Member Functions
bool | output_id () const
bool | output_bx () const
bool | output_seq () const
bool | output_qual () const
bool | filter_in () const
bool | filter_out () const
bool | short_mode () const
bool | long_mode () const
Record | read ()
| Indexlr (std::string seqfile, size_t k, size_t w, unsigned flags=0, unsigned threads=5, bool verbose=false, const btllib::BloomFilter &bf1=Indexlr::dummy_bf(), const btllib::BloomFilter &bf2=Indexlr::dummy_bf())
| Indexlr (std::string seqfile, size_t k, size_t w, size_t q, unsigned flags=0, unsigned threads=5, bool verbose=false, const btllib::BloomFilter &bf1=Indexlr::dummy_bf(), const btllib::BloomFilter &bf2=Indexlr::dummy_bf())
void | close () noexcept
RecordIterator | begin ()
RecordIterator | end ()

## Static Public Attributes
static const size_t | MAX_SIMULTANEOUS_INDEXLRS = 256

## Constructor & Destructor Documentation

## ◆ Indexlr()

btllib::Indexlr::Indexlr | ( | std::string | seqfile,
|  | size_t | k,
|  | size_t | w,
|  | unsigned | flags = 0,
|  | unsigned | threads = 5,
|  | bool | verbose = false,
|  | const btllib::BloomFilter & | bf1 = Indexlr::dummy_bf(),
|  | const btllib::BloomFilter & | bf2 = Indexlr::dummy_bf() )
| inline

Construct Indexlr to calculate minimizers from sequences at the given path.

Parameters

  seqfile | Filepath to read sequences from. Pass "-" to read from stdin.
  k | k-mer size for the minimizer.
  w | window size when selecting minimizers.
  q | quality threshold to ignore potential minimizers.
  flags | Modifier flags. Specifiying either short or long mode flag is mandatory; other flags are optional.
  threads | Maximum number of processing threads to use. Must be at least 1.
  verbose | Whether to output informational messages during processing.
  bf1 | A Bloom filter to use for either filtering minimizers in or out, if one of the flags is enabled. If both are enabled, bf1 is used for filtering in.
  bf2 | A second Bloom filter to use when both filtering minimizers in and out is enabled. bf2 is used for filtering out.

## Member Function Documentation

## ◆ begin()

RecordIterator btllib::Indexlr::begin | ( |  | ) |
| inline

For range-based for loop only.

## ◆ read()

Indexlr::Record btllib::Indexlr::read | ( |  | ) |
| inline

Read the next Indexlr record, containing read information and a list of minimizers.

The documentation for this class was generated from the following file:

- include/btllib/indexlr.hpp